CGAL 6.2 - 3D Mesh Generation: CGAL::Mesh_3::Detect_features_in_image Struct Reference

CGAL 6.2 - 3D Mesh Generation

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Mesh_3::Detect_features_in_image Struct Reference
Reference Manual » Feature Detection

`#include <CGAL/Mesh_3/Detect_features_in_image.h>`

## Definition

Functor for feature detection in labeled images.

Examples
  Mesh_3/mesh_3D_image_with_detection_of_features.cpp, Mesh_3/mesh_3D_image_with_initial_points.cpp, and Mesh_3/mesh_3D_weighted_image_with_detection_of_features.cpp.

## Public Member Functions
template<typename Point >
std::vector< std::vector< Point > > | operator() (const CGAL::Image_3 &image) const
| detects and constructs the polylines that lie at the intersection of three or more subdomains.
template<typename Point >
std::vector< std::vector< Point > > | operator() (const CGAL::Image_3 &image, CGAL::Image_3 &weights) const
| Similar to the above function, but modifies `weights` to set the voxels that are part of a polyline feature to 0.

## Member Function Documentation

## ◆ operator()()

template<typename Point >

std::vector< std::vector< Point > > CGAL::Mesh_3::Detect_features_in_image::operator() | ( | const CGAL::Image_3 & | image | ) | const

detects and constructs the polylines that lie at the intersection of three or more subdomains.

Each subdomain inside the bounding box of the input labeled image is defined as the set of voxels with the same value. The outside of the bounding box of the image is considered as a subdomain with voxel value `value_outside` (see `create_labeled_image_mesh_domain()` parameters description). Hence, this function also computes intersections with the image bounding box.

Template Parameters

  Point | class model of `Kernel::Point_3`. It must match the triangulation point type.

Parameters

  image | the input image

Returns
  a `std::vector<std::vector<Point>>` containing the constructed polylines for later feature protection.